# Generated from lo-suspenders-2.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name lo-suspenders

Name: rubygem-%{gem_name}
Version: 2.1.2
Release: 1%{?dist}
Summary: Generate a Rails app with a whole bunch of defaults
License: MIT
URL: http://github.com/aguynamedloren/lo-suspenders
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(bullet) >= 5.0
# BuildRequires: rubygem(bullet) < 6
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pg) >= 0.18.4
# BuildRequires: rubygem(pg) < 0.19
# BuildRequires: rubygem(simple_form) >= 3.2
# BuildRequires: rubygem(simple_form) < 4
# BuildRequires: rubygem(title)
# BuildRequires: rubygem(title) < 1
# BuildRequires: rubygem(quiet_assets) >= 1.1
# BuildRequires: rubygem(quiet_assets) < 2
# BuildRequires: rubygem(capybara-webkit) >= 1.8
# BuildRequires: rubygem(capybara-webkit) < 2
BuildArch: noarch

%description
A fork of the thoughbot suspenders gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/lo-suspenders
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/NEWS.md
%{gem_instdir}/RELEASING.md
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/suspenders.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 2.1.2-1
- Initial package
